Page MenuHomePhabricator

Update and improve PAWS documentation on Wikitech
Closed, ResolvedPublic

Description

Background: PAWS Kubernetes is currently undergoing an upgrade: https://phabricator.wikimedia.org/T211096, which makes this a good time to revisit documentation.

A cursory audit of PAWs documentation on Wikitech, Mediawiki, and Metawiki included the following pages and links:

Note: This is an initial audit. There may be more relevant pages that could be included in this ticket.

These pages should be evaluated for relevancy, updated/improved, and combined where necessary. We should also determine whether any new pages or visualizations should be included in the documentation.

PAWS documentation is on both Wikitech and Mediawiki. This could make user navigation difficult, and it may also mean that information is duplicated or different depending on the venue. We should think about the impact this could have and may want to consider consolidating the documentation in one place.

Event Timeline

srodlund created this task.May 27 2020, 3:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2020, 3:31 PM
Aklapper updated the task description. (Show Details)May 29 2020, 12:18 PM

Drafting initial doc here: https://wikitech.wikimedia.org/wiki/User:SRodlund/PAWS_(staging)

This document will draw from the following pages and will aim to replace them as a single, comprehensive, canonical page:

Assuming this is about PAWS hence adding corresponding tag. Also see existing open PAWS documentation tasks to avoid duplication of efforts.

Aklapper moved this task from To triage to Backlog on the Developer-Advocacy board.Jun 2 2020, 8:32 PM
srodlund renamed this task from Update and improve PAWS documentation on Wikitech and Toolforge to Update and improve PAWS documentation on Wikitech.Tue, Jun 23, 8:21 PM
srodlund updated the task description. (Show Details)
srodlund closed this task as Resolved.Fri, Jun 26, 9:02 PM
srodlund claimed this task.